tagcoll2 (2.0.14-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC6 by using -std=gnu++98 (Closes: #811863).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 01:49:26 +0500

tagcoll2 (2.0.14-1) unstable; urgency=low

  * New upstream version
     - works on solaris which doesn't have fmemopen. Thanks Igor Pashev.
       Closes: #661489
     - added missing this-> on templates. Thanks Igor Pashev.
  * Ported to debhelper 7
  * Depend on libwibble 1.0

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Oct 2013 22:22:58 +0200

tagcoll2 (2.0.13-1) unstable; urgency=high

  * New upstream version
     - Urgency set to high as we fix a FTBFS that's blocking aptitude
     - Removed an unneeded 'mutable'. Closes: #624956

 -- Enrico Zini <enrico@debian.org>  Thu, 01 Sep 2011 17:37:08 +0100

tagcoll2 (2.0.12-1) unstable; urgency=low

  * New upstream version
     - Builds with -O3. Closes: #618617
  * Try removing old gcc bug workaround for alpha
  * Removed /usr/lib/libtagcoll2.la
  * Updated standards-version
  * Removed inactive uploader
  * Removed experimental Tag: field
  * Do not build documentation: it adds a lot of build-dependencies and I am
    not aware of people actually using it. Closes: #616281
  * Dropped libtut-dev dependency, since now wibble ships it

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Mar 2011 11:13:08 +0000

tagcoll2 (2.0.11-1) unstable; urgency=low

  * New upstream version.
     + Added more missing template instantiations.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Jun 2008 11:15:01 +0100

tagcoll2 (2.0.10-1) unstable; urgency=low

  * New upstream version.
     + Added missing template instantiation.  Closes: #475694.

 -- Enrico Zini <enrico@debian.org>  Sun, 08 Jun 2008 08:45:27 +0200

tagcoll2 (2.0.9-1) unstable; urgency=low

  * New upstream version.
     + Fixed usage of libwibble-dev.  Closes: #471630.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 10:57:30 +0800

tagcoll2 (2.0.8-1) unstable; urgency=low

  * New upstream version
     + Fix missing #includes for gcc 4.3. Closes: #455629.
  * New email address.
  * Update copyright years in debian/*copyright.
  * Rename XS-Vcs-Svn to Vcs-Svn, add Vcs-Browser and Homepage fields
    (dpkg supports them now).
  * Update Standards-Version to 3.7.3. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 06 Feb 2008 18:16:58 +0000

tagcoll2 (2.0.7-1) unstable; urgency=low

  * New upstream version
     + Applied fixes for gcc 4.3.  Closes: #441601, #441603.
     + Allow to instantiate coll::Fast with item type != tag type

 -- Enrico Zini <enrico@debian.org>  Mon, 17 Sep 2007 17:18:21 +0200

tagcoll2 (2.0.6-1) unstable; urgency=low

  * New upstream version
     + IntDiskIndex works as an empty collection when it's not initialised

 -- Enrico Zini <enrico@debian.org>  Sat, 02 Jun 2007 09:35:51 +0100

tagcoll2 (2.0.5-1) unstable; urgency=low

  * New upstream version
     + Applied patch from tbm to build on GCC 4.3.  Closes: #420918.
     + Removed wrong file tagcoll/stream/patcher.tcc
     + Fixed API inconsistency in outputHavingTags
  * Depend on texlive-base instead of tetex-bin

 -- Enrico Zini <enrico@debian.org>  Thu, 31 May 2007 18:30:44 +0100

tagcoll2 (2.0.4-1) unstable; urgency=low

  * Fix diff/patch misbehavings, `--patch-with' command line argument.
    Closes: #399181.
  * License the package under the GNU GPL.    

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 18 Nov 2006 12:15:11 +0100

tagcoll2 (2.0.3-3) unstable; urgency=low

  * Build with -O1 on Alpha.  Closes: #393194.

 -- Enrico Zini <enrico@debian.org>  Sun, 15 Oct 2006 21:52:04 +0100

tagcoll2 (2.0.3-2) unstable; urgency=low

  * Ported the alpha workaround from tagcoll (see bug #358493)

 -- Enrico Zini <enrico@debian.org>  Thu, 12 Oct 2006 10:27:33 +0200

tagcoll2 (2.0.3-1) unstable; urgency=low

  * New upstream version
     + Added getting the tags of a collection sorted by cardinality
  * Added Depend: on libwibble-dev.  Closes: bug#391106.

 -- Enrico Zini <enrico@debian.org>  Thu,  5 Oct 2006 01:16:11 +0200

tagcoll2 (2.0.2-1) unstable; urgency=low

  * New upstream version
     + Speedup in handling of patched collections

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Oct 2006 16:07:23 +0200

tagcoll2 (2.0.1-1) unstable; urgency=low

  * New upstream version.
     + STL's size() methods return size_t, which can be different than
       unsigned int: fixed.  Closes: bug#389858, bug#39007.
  * Build-depend on newer libwibble to get a decent manpage

 -- Enrico Zini <enrico@debian.org>  Fri, 29 Sep 2006 21:57:33 +0200

tagcoll2 (2.0-2) unstable; urgency=low

  * Build-depend on zlib1g-dev.  Closes: #389739.

 -- Enrico Zini <enrico@debian.org>  Wed, 27 Sep 2006 21:30:17 +0200

tagcoll2 (2.0-1) unstable; urgency=low

  * New upstream version
     + Moved common code into libwibble (breaks API)
     + Heavily refactored the library (breaks API)
  * Renamed to tagcoll2 to be able to have both APIs installed alongside

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 19:28:17 +0100

tagcoll (1.6.2-1) unstable; urgency=low

  * New upstream
    * Fix oversight in testsuite causing tests to wrongly fail
     (Closes: #358493)
  * Added myself to uploaders

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Thu, 20 Apr 2006 15:35:10 +0200

tagcoll (1.6.1-1) unstable; urgency=low

  * New upstream version
     * Compiles with g++ 4.1.  Closes: #357358.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 11:48:42 +0100

tagcoll (1.6-1) unstable; urgency=low

  * New upstream version
     * Added grep and items commands
     * Added tagidx utility
     * Implemented new on-disk index
     * Implemented benchmarks
     * Fixed the tests
  * Now run the tests when building the package

 -- Enrico Zini <enrico@debian.org>  Thu,  2 Mar 2006 01:27:46 +0100

tagcoll (1.5.1-1) unstable; urgency=low

  * New upstream version
     * Applied patch from Torsten Marek to allow tagcoll to play well with
       SWIG
     * tagcoll --remove-tags now does what it says it should do, which is the
       exact opposite of what it was doing before.  If you were using it in
       scripts, you need to add or remove a '!' in front of the expression.
  * Build-depend on tetex-bin instead of latex and dvips.  Closes: #337457.

 -- Enrico Zini <enrico@debian.org>  Sat, 12 Nov 2005 13:26:21 +0100

tagcoll (1.5-1) unstable; urgency=low

  * New upstream version
     * API changed.  All reverse build-depends are aware of it.
  * Build-dep on tut-dev and tdb-dev.  Closes: #328075

 -- Enrico Zini <enrico@debian.org>  Sat, 24 Sep 2005 16:57:42 +0200

tagcoll (2.0-1) unstable; urgency=low

  * Bumped major number to make a clean upload to unstable, since we change
    the API of libtagcoll

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Sep 2005 17:53:02 +0200

tagcoll (1.4-1) experimental; urgency=low

  * New upstream version, strongly refactored
  * Got rid of the damn -pic libraries, after I've learnt that non-pic code
    would work anyway

 -- Enrico Zini <enrico@debian.org>  Sat, 20 Aug 2005 14:41:53 +0200

tagcoll (1.3-1) unstable; urgency=low

  * New upstream version.
  * Merged source package with libtagcoll1.
  * Fixed license/copyright wording in debian/copyright.
    Closes: #290210.

 -- Enrico Zini <enrico@debian.org>  Sun,  7 Aug 2005 21:42:50 +0200

tagcoll (1.2.1-1) unstable; urgency=low

  * New upstream version
    Added --remove-unfacted and --remove-tags options

 -- Enrico Zini <enrico@debian.org>  Sat,  6 Aug 2005 18:21:00 +0200

libtagcoll1 (1.0.7-1) unstable; urgency=low

  * New upstream version.
    Added class ExpressionTagRemover.

 -- Enrico Zini <enrico@debian.org>  Sat,  6 Aug 2005 16:39:04 +0200

libtagcoll1 (1.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Enrico Zini <enrico@debian.org>  Sun, 31 Jul 2005 17:45:33 +0200

libtagcoll1 (1.0.5-1) unstable; urgency=low

  * New upstream version.  Builds with gcc 4.

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jul 2005 00:40:33 +0300

tagcoll (1.2-1) unstable; urgency=low

  * New upstream version with just a README restyling
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Fri,  1 Jul 2005 16:33:13 +0200

libtagcoll1 (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Fri,  1 Jul 2005 16:21:38 +0200

tagcoll (1.0-1) experimental; urgency=low

  * Bumped version to 1.0 and get rid of these weird version numbers.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 18:30:30 +0200

tagcoll (0.2-1) experimental; urgency=low

  * New upstream version.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 17:07:51 +0200

libtagcoll1 (1.0.3-1) experimental; urgency=low

  * New upstream version.
  * Also Depend on tdb-dev.  Closes: #310219.
    Thanks to Kurt Roeckx.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 16:17:20 +0200

libtagcoll1 (1.0.2-1) experimental; urgency=low

  * New upstream version
  * Build-depend on tdb-dev.  Closes: #312898.

 -- Enrico Zini <enrico@debian.org>  Fri, 10 Jun 2005 19:29:44 +0200

tagcoll (0.101-1) experimental; urgency=low

  * Added 'findspecials' function
  * Fixed build-dep on libtagcoll (now builds on 1.0.1).  Closes: #310219.

 -- Enrico Zini <enrico@debian.org>  Tue, 24 May 2005 12:51:27 +0200

libtagcoll1 (1.0.1-1) experimental; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 24 May 2005 12:33:46 +0200

tagcoll (0.100-1) unstable; urgency=low

  * Ported to libtagcoll1

 -- Enrico Zini <enrico@debian.org>  Fri, 13 May 2005 15:27:54 +0200

libtagcoll1 (1.0-1) experimental; urgency=low

  * New upstream version
  * Package name changed not to break old applications
  * Conflict with libtagcoll-dev

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Apr 2005 14:10:21 +0200

libtagcoll (0.100-1) unstable; urgency=low

  * New upstream version
  * Only build -dev version, as the API and ABI are still not stable

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Mar 2005 18:05:51 +0200

libtagcoll (0.99.1-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Sun, 15 Aug 2004 12:24:26 +0100

tagcoll (0.99-1) unstable; urgency=low

  * Depend on libtagcoll 0.99 instead of 0.9
  * Updated version to fix previous versioning error

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:16:51 +0200

libtagcoll (0.99-1) unstable; urgency=low

  * Version bump to fix dependency idiocy of mine

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:10:33 +0200

tagcoll (0.9-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 01:44:23 +0200

libtagcoll (0.9.0-1) unstable; urgency=low

  * New upstream version
  * Builds with gcc 3.4.  Closes: #259443.
    Thanks to Andreas Jochens for the patch

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 00:43:53 +0200

tagcoll (1.0-1) unstable; urgency=low

  * New upstream version, only distributed in a preview archive

 -- Enrico Zini <enrico@debian.org>  Sun, 25 Jul 2004 02:01:47 +0100

libtagcoll (1.0-1) unstable; urgency=low

  * New upstream version, only released as a preview in a separate APT
    repository

 -- Enrico Zini <enrico@debian.org>  Sat, 24 Jul 2004 15:14:01 +0100

libtagcoll (0.9-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed,  7 Jul 2004 23:45:46 +0100

libtagcoll (0.8-1) unstable; urgency=low

  * New upstream version
     * InputMerger::applyChange: create non-existing items
       (Closes: bug#257204)

 -- Enrico Zini <enrico@debian.org>  Fri,  2 Jul 2004 23:26:13 +0200

tagcoll (0.16-4) unstable; urgency=low

  * Compiled with new libtagcoll
  * Ported to cdbs
  * Updated Standards-Version (no changes needed)

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Jun 2004 17:46:16 +0200

libtagcoll (0.7-1) unstable; urgency=low

  * New upstream version
  * Ported to cdbs

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Jun 2004 11:13:12 +0200

libtagcoll (0.6-3) unstable; urgency=low

  * Added a correct shlib file (Closes: bug#251649)

 -- Enrico Zini <enrico@debian.org>  Sat, 29 May 2004 22:17:38 -0300

libtagcoll (0.6-2) unstable; urgency=low

  * New upstream version
  * Skipping -1 because it's been used in a preview version

 -- Enrico Zini <enrico@debian.org>  Thu, 13 May 2004 14:24:58 -0300

tagcoll (0.16-3) unstable; urgency=low

  * Build-depend on libtagcoll 0.5 instead of libtagcoll 0.4 (Closes: bug#202970)

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Jul 2003 19:15:55 +0200

libtagcoll (0.5-2) unstable; urgency=low

  * Build-depend on bison and yacc (Closes: bug#202465)

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2003 19:11:43 +0200

tagcoll (0.16-2) unstable; urgency=low

  * Removed accidental CVS directory in /usr/share/doc/tagcoll

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2003 17:21:38 +0200

tagcoll (0.16-1) unstable; urgency=low

  * New upstream version
     - Ported to libtagcoll 0.5
     - Implemented noise filtering
     - Implemented removal of equivalent nodes when building hierarchy

 -- Enrico Zini <enrico@debian.org>  Fri, 18 Jul 2003 17:14:41 +0200

libtagcoll (0.5-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Fri, 18 Jul 2003 16:36:01 +0200

tagcoll (0.15-1) unstable; urgency=low

  * New upstream version (ported to libtagcoll 0.4)
  * Build-Depends on pkg-config (Closes: bug#194341, bug#194335)

 -- Enrico Zini <enrico@debian.org>  Fri, 23 May 2003 01:26:56 +0200

libtagcoll (0.4-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu, 22 May 2003 15:33:24 +0200

libtagcoll (0.3-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 21 May 2003 23:13:05 +0200

tagcoll (0.14-1) unstable; urgency=low

  * New upstream version (split library functions in libtagcoll)

 -- Enrico Zini <enrico@debian.org>  Wed, 21 May 2003 16:06:00 +0200

libtagcoll (0.2-1) unstable; urgency=low

  * New upstream version (Introducing some API changes)

 -- Enrico Zini <enrico@debian.org>  Wed, 21 May 2003 15:45:58 +0200

libtagcoll (0.1-1) unstable; urgency=low

  * Initial Release, fork from tagcoll code to provide support for other
    packages (like a c++ rewrite of debtags).  tagcoll will depend on
    libtagcoll from now on

 -- Enrico Zini <enrico@debian.org>  Sun, 11 May 2003 21:51:43 +0200

tagcoll (0.13-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu,  1 May 2003 16:28:52 +0200

tagcoll (0.12-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Apr 2003 12:52:05 +0200

tagcoll (0.11-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Apr 2003 02:01:38 +0200

tagcoll (0.10-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Sun, 27 Apr 2003 21:11:36 +0200

tagcoll (0.9-2) unstable; urgency=low

  * Corrected syntax of long commandline options arguments in manpage

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Apr 2003 22:14:26 +0200

tagcoll (0.9-1) unstable; urgency=low

  * New upstream release

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Apr 2003 19:04:21 +0200

tagcoll (0.8-1) unstable; urgency=low

  * New upstream release

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 02:06:10 +0200

tagcoll (0.7-2) unstable; urgency=low

  * Update debian packaging
  * Ready for forst upload in experimental repository

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 00:08:22 +0200

tagcoll (0.7-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Apr 2003 01:16:10 +0200

tagcoll (0.6-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 18:29:28 +0200

tagcoll (0.5-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 13:56:24 +0200

tagcoll (0.4.1-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 02:25:33 +0200

tagcoll (0.4-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Apr 2003 18:09:48 +0200

tagcoll (0.3-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Apr 2003 13:11:33 +0200

tagcoll (0.2-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Apr 2003 18:58:45 +0200

tagcoll (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Apr 2003 02:42:33 +0200
